cURL
curl -X GET "https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID/events?page=1&limit=20" \
-H "Authorization: Bearer YOUR_API_TOKEN"const webhookId = 'WEBHOOK_ID';
const params = new URLSearchParams({ page: 1, limit: 20 });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}/events?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
webhook_id = 'WEBHOOK_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}/events',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 20}
)
data = response.json()
{
"data": {
"events": [
{
"id": 123,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order.antiAi.completed",
"retries": 123,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Webhooks
List webhook events
Retrieve delivery events for a specific webhook with pagination.
- Includes status, event type, and delivery time
GET
/
api
/
v2
/
orders
/
webhooks
/
{webhookId}
/
events
cURL
curl -X GET "https://api.bizmori.com/api/v2/orders/webhooks/WEBHOOK_ID/events?page=1&limit=20" \
-H "Authorization: Bearer YOUR_API_TOKEN"const webhookId = 'WEBHOOK_ID';
const params = new URLSearchParams({ page: 1, limit: 20 });
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/webhooks/${webhookId}/events?${params}`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();import requests
webhook_id = 'WEBHOOK_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/webhooks/{webhook_id}/events',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
params={'page': 1, 'limit': 20}
)
data = response.json()
{
"data": {
"events": [
{
"id": 123,
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventType": "order.antiAi.completed",
"retries": 123,
"lastSentAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123
}
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Authorizations
API Key for external client access
Path Parameters
Webhook ID
Query Parameters
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100Response
Success
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Event DB ID
Event UUID
Event type
Example:
"order.antiAi.completed"
Delivery status
Available options:
PENDING, SENT, RETRYING, FAILED Retry count
Last sent at
Created at
⌘I